Clinia
RegistryRelationships

Update a relationship between two resources in the registry

PATCH
/sources/{sourceKey}/v1/relationships/{relationshipType}/{id}

Update a relationship between two resources in the registry. The from and to fields in the body are ignored in favor of respecting the id path argument.

X-Clinia-API-Key<token>

In: header

Path Parameters

sourceKey*string

The key of the source.

relationshipType*string

The key of the relationship definition.

id*string

The id of the relationship.

Match^[^.]+.[^.]+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

[index: integer]?

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/sources/string/v1/relationships/string/string" \  -H "Content-Type: application/json" \  -d '[    {      "op": "replace",      "path": "/name",      "value": "New Clinic"    }  ]'
{  "taskId": "string",  "status": "ACCEPTED",  "relationship": {    "id": "string",    "type": "string",    "from": {      "id": "string",      "type": "string"    },    "to": {      "id": "string",      "type": "string"    },    "meta": {      "createdAt": "2019-08-24T14:15:22Z",      "identifier": [        {          "id": "string",          "system": "string",          "value": "string",          "use": "string",          "period": {            "id": "string",            "start": "string",            "end": "string"          }        }      ],      "source": "string",      "updatedAt": "2019-08-24T14:15:22Z"    },    "data": {}  }}